lightspark-common_0.5.5-0ubuntu1_amd64.deb


Advertisement

Description

lightspark-common - High-performance SWF player - common data

Property Value
Distribution Ubuntu 12.04 LTS (Precise Pangolin)
Repository Ubuntu Universe amd64
Package name lightspark-common
Package version 0.5.5
Package release 0ubuntu1
Package architecture amd64
Package type deb
Installed size 11.69 KB
Download size 4.60 MB
Official Mirror archive.ubuntu.com
Lightspark is a free Flash player for Linux which aims for high-performance
by using modern technologies such as JIT compilation and OpenGL shaders.
The project is currently in an alpha status and provides the standalone
player and mozilla plugin for testing purposes only.
Nice features:
* JIT compilation of ActionScript to native x86 bytecode
* Hardware accelerated rendering using OpenGL shaders (GLSL)
* Aims to support current-generation ActionScript 3
* A new, clean, codebase exploiting multithreading and optimized for modern
hardware. Designed from scratch after the official Flash documentation was
released.
This package contains the common library and data.

Alternatives

Package Version Architecture Repository
lightspark-common_0.5.5-0ubuntu1_i386.deb 0.5.5 i386 Ubuntu Universe
lightspark-common - - -

Requires

Name Value
libavcodec-extra-53 >= 4:0.8-1~
libavcodec53 >= 4:0.8-1~
libavformat-extra-53 >= 4:0.8-1~
libavformat53 >= 4:0.8-1~
libavutil-extra-51 >= 4:0.8-1~
libavutil51 >= 4:0.8-1~
libboost-filesystem1.46.1 >= 1.46.1-1
libboost-system1.46.1 >= 1.46.1-1
libc6 >= 2.15
libcairo2 >= 1.6.0
libcurl3-gnutls >= 7.16.2-1
libgcc1 >= 1:4.1.1
libgl1 -
libgl1-mesa-glx -
libglew1.6 >= 1.6.0
libglib2.0-0 >= 2.26.0
libglibmm-2.4-1c2a >= 2.30.0
libgtk2.0-0 >= 2.24.0
libjpeg8 >= 8c
libpango1.0-0 >= 1.20.0
libpcre3 >= 8.10
libpulse0 >= 1:0.99.1
libsigc++-2.0-0c2a >= 2.0.2
libstdc++6 >= 4.6
libx11-6 -
libxml++2.6-2 >= 2.33.1
libxml2 >= 2.7.4
ttf-liberation -
zlib1g >= 1:1.2.0

Download

Type URL
Binary Package lightspark-common_0.5.5-0ubuntu1_amd64.deb
Source Package lightspark

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install lightspark-common deb package:
    # sudo apt-get install lightspark-common

Files

Path
/etc/xdg/lightspark.conf
/usr/lib/lightspark/liblightspark.so
/usr/lib/lightspark/liblightspark.so.0.5
/usr/lib/lightspark/liblightspark.so.0.5.5
/usr/lib/lightspark/plugins/liblightsparkpulseplugin.so
/usr/share/doc/lightspark-common/changelog.Debian.gz
/usr/share/doc/lightspark-common/copyright
/usr/share/lightspark/lightspark-blitter.vert
/usr/share/lightspark/lightspark.frag
/usr/share/lightspark/lightspark.vert
/usr/share/locale/fr/LC_MESSAGES/lightspark.mo
/usr/share/locale/pl/LC_MESSAGES/lightspark.mo
/usr/share/locale/zh_CN/LC_MESSAGES/lightspark.mo

See Also

Package Description
lightspark_0.5.5-0ubuntu1_amd64.deb High-performance SWF player (experimental)
lightspeed_1.2a-8_amd64.deb Shows how objects moving at relativistic speeds look like
lightsquid_1.8-3_all.deb Lite and fast log analizer for squid proxy
lighttpd-dev_1.4.28-2ubuntu4_amd64.deb Development files for lighttpd
lighttpd-doc_1.4.28-2ubuntu4_all.deb Documentation for lighttpd
lighttpd-mod-cml_1.4.28-2ubuntu4_amd64.deb Cache meta language module for lighttpd
lighttpd-mod-magnet_1.4.28-2ubuntu4_amd64.deb Control the request handling module for lighttpd
lighttpd-mod-mysql-vhost_1.4.28-2ubuntu4_amd64.deb MySQL-based virtual host configuration for lighttpd
lighttpd-mod-trigger-b4-dl_1.4.28-2ubuntu4_amd64.deb Anti-deep-linking module for lighttpd
lighttpd-mod-webdav_1.4.28-2ubuntu4_amd64.deb WebDAV module for lighttpd
lighttpd_1.4.28-2ubuntu4_amd64.deb A fast webserver with minimal memory footprint
lightyears_1.4-1_all.deb single player real-time strategy game with steampunk sci-fi
liguidsoap_1.0.0-4build1_all.deb control GUI for liquidsoap
likewise-open-gui_6.1.0.406-0ubuntu5_amd64.deb Desktop utility for joining Active Directory domains
likewise-open5-eventlog_6.1.0.406-0ubuntu5_all.deb transitional dummy package
Advertisement
Advertisement